Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False), DeferredDeletion(False)> _
Public Class FixedAssetsQueryRows
    Inherits BaseObject


    Private _FixedAssetsQueryHeader As FixedAssetsQueryHeader
    Private _FixedAssetsCard As FixedAssetsCard
    Private _AmountHUFBrutto As Double
    Private _AmountHUFBruttoTerminal As Double
    Private _AmountHUFDecrepationA As Double
    Private _AmountHUFDecrepationTerminalA As Double
    Private _AmountHUFNettoA As Double
    Private _AmountHUFDecrepationT As Double
    Private _AmountHUFDecrepationTerminalT As Double
    Private _AmountHUFNettoT As Double
    Private _AmountHUFDevelopmentReserve As Double

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    <Association("FixedAssetsQueryHeader-FixedAssetsQueryRows", GetType(FixedAssetsQueryHeader))> _
    Property FixedAssetsQueryHeader As FixedAssetsQueryHeader
        Get
            Return _FixedAssetsQueryHeader
        End Get
        Set(value As FixedAssetsQueryHeader)
            SetPropertyValue("FixedAssetsQueryHeader", _FixedAssetsQueryHeader, value)
        End Set
    End Property
    Property FixedAssetsCard As FixedAssetsCard
        Get
            Return _FixedAssetsCard
        End Get
        Set(value As FixedAssetsCard)
            SetPropertyValue("FixedAssetsCard", _FixedAssetsCard, value)
        End Set
    End Property
    Property AmountHUFBrutto As Double
        Get
            Return _AmountHUFBrutto
        End Get
        Set(value As Double)
            SetPropertyValue("AmountHUFBrutto", _AmountHUFBrutto, value)
        End Set
    End Property
    Property AmountHUFBruttoTerminal As Double
        Get
            Return _AmountHUFBruttoTerminal
        End Get
        Set(value As Double)
            SetPropertyValue("AmountHUFBruttoTerminal", _AmountHUFBruttoTerminal, value)
        End Set
    End Property
    Property AmountHUFDecrepationA As Double
        Get
            Return _AmountHUFDecrepationA
        End Get
        Set(value As Double)
            SetPropertyValue("AmountHUFDecrepationA", _AmountHUFDecrepationA, value)
        End Set
    End Property
    Property AmountHUFDecrepationTerminalA As Double
        Get
            Return _AmountHUFDecrepationTerminalA
        End Get
        Set(value As Double)
            SetPropertyValue("AmountHUFDecrepationTerminalA", _AmountHUFDecrepationTerminalA, value)
        End Set
    End Property
    Property AmountHUFNettoA As Double
        Get
            Return _AmountHUFNettoA
        End Get
        Set(value As Double)
            SetPropertyValue("AmountHUFNettoA", _AmountHUFNettoA, value)
        End Set
    End Property
    Property AmountHUFDecrepationT As Double
        Get
            Return _AmountHUFDecrepationT
        End Get
        Set(value As Double)
            SetPropertyValue("AmountHUFDecrepationT", _AmountHUFDecrepationT, value)
        End Set
    End Property
    Property AmountHUFDecrepationTerminalT As Double
        Get
            Return _AmountHUFDecrepationTerminalT
        End Get
        Set(value As Double)
            SetPropertyValue("AmountHUFDecrepationTerminalT", _AmountHUFDecrepationTerminalT, value)
        End Set
    End Property
    Property AmountHUFNettoT As Double
        Get
            Return _AmountHUFNettoT
        End Get
        Set(value As Double)
            SetPropertyValue("AmountHUFNettoT", _AmountHUFNettoT, value)
        End Set
    End Property
    Property AmountHUFDevelopmentReserve As Double
        Get
            Return _AmountHUFDevelopmentReserve
        End Get
        Set(value As Double)
            SetPropertyValue("AmountHUFDevelopmentReserve", _AmountHUFDevelopmentReserve, value)
        End Set
    End Property
End Class
